<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <RootNamespace>EmailApi</RootNamespace>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <NoWarn>$(NoWarn);1591</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="MailKit" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" />
    <PackageReference Include="Serilog.AspNetCore" />
    <PackageReference Include="Serilog.Enrichers.Environment" />
    <PackageReference Include="Serilog.Sinks.Console" />
    <PackageReference Include="Serilog.Sinks.Email" />
    <PackageReference Include="Swashbuckle.AspNetCore" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Helpers\common-helpers\common-helpers.csproj" />
    <ProjectReference Include="..\..\Helpers\startup-helpers\startup-helpers.csproj" />
    <ProjectReference Include="..\api-models\api-models.csproj" />
    <ProjectReference Include="..\common\common.csproj" />
    <ProjectReference Include="..\email-data\email-data.csproj" />
    <ProjectReference Include="..\email-api-models\email-api-models.csproj" />
  </ItemGroup>
</Project>
